KILLPG(2)

NAME
killpg - send signal to a process group

SYNOPSIS
int killpg(pgrp, sig)
int pgrp, sig;

DESCRIPTION
killpg() sends the signal sig to the process group pgrp. See sigvec(2) for a list of signals.

The real or effective user ID of the sending process must match the real or saved set-user ID of the receiving process, unless the effective user ID of the sending process is super-user. A single exception is the signal SIGCONT, which may always be sent to any descendant of the current process.

RETURN VALUES
killpg() returns:

0   on success.

-1  on failure and sets errno to indicate the error.

ERRORS
killpg() will fail and no signal will be sent if any of the following occur:

EINVAL
    sig was not a valid signal number.

EPERM
    The effective user ID of the sending process was not super-user, and neither its real nor effective user ID matched the real or saved set-user ID of one or more of the target processes.

ESRCH
    No processes were found in the specified process group.

SEE ALSO
kill(2V), getpgrp(2V), sigvec(2)